body .full {
  display: table;
  width: 100%; }

body .wrapper {
  width: 1024px;
  margin: 0 auto; }

body .product {
  border: black 2px solid;
  height: 200px;
  margin: 14px 0;
  text-align: center;
  position: relative; }
  body .product .description {
    border: yellow 2px solid;
    margin-top: 5px;
    text-align: center; }
  body .product .product-action-bar {
    position: absolute;
    background: gray;
    width: 100%;
    height: 40px;
    margin: 0px;
    top: calc(100% - 40px);
    display: block;
    padding: 3px; }
    body .product .product-action-bar form.pro {
      width: 75%; }
      body .product .product-action-bar form.pro .num {
        width: 70px;
        height: 32px;
        margin-left: -19px; }
    body .product .product-action-bar .info {
      float: right;
      margin-right: -15px; }
